## empathy-time

empathy-time

## Synopsis

    #define             EMPATHY_TIME_FORMAT_DISPLAY_SHORT
    #define             EMPATHY_TIME_FORMAT_DISPLAY_LONG
    time_t              empathy_time_get_current            (void);
    time_t              empathy_time_get_local_time         (struct tm *tm);
    time_t              empathy_time_parse                  (const gchar *str);
    gchar *             empathy_time_to_string_utc          (time_t t,
                                                             const gchar *format);
    gchar *             empathy_time_to_string_local        (time_t t,
                                                             const gchar *format);

## Description

## Details

### EMPATHY_TIME_FORMAT_DISPLAY_SHORT

    #define EMPATHY_TIME_FORMAT_DISPLAY_SHORT "%H:%M"

### EMPATHY_TIME_FORMAT_DISPLAY_LONG

    #define EMPATHY_TIME_FORMAT_DISPLAY_LONG  "%a %d %b %Y"

### empathy_time_get_current ()

    time_t              empathy_time_get_current            (void);

Returns : |

### empathy_time_get_local_time ()

    time_t              empathy_time_get_local_time         (struct tm *tm);

`tm` : |
Returns : |

### empathy_time_parse ()

    time_t              empathy_time_parse                  (const gchar *str);

`str` : |
Returns : |

### empathy_time_to_string_utc ()

    gchar *             empathy_time_to_string_utc          (time_t t,
                                                             const gchar *format);

`t` : |
`format` : |
Returns : |

### empathy_time_to_string_local ()

    gchar *             empathy_time_to_string_local        (time_t t,
                                                             const gchar *format);

`t` : |
`format` : |
Returns : |